# _LinkedListInfo Struct Reference

## Data Fields

unsigned long | capacity
unsigned long | elements
ElementInfo * | head
ElementInfo * | tail
ElementInfo * | next
MagickBooleanType | debug
SemaphoreInfo * | semaphore
unsigned long | signature

## Field Documentation

unsigned long _LinkedListInfo::capacity

unsigned long _LinkedListInfo::elements

ElementInfo* _LinkedListInfo::head

ElementInfo * _LinkedListInfo::tail

ElementInfo * _LinkedListInfo::next

MagickBooleanType _LinkedListInfo::debug

SemaphoreInfo* _LinkedListInfo::semaphore

unsigned long _LinkedListInfo::signature

The documentation for this struct was generated from the following file:

- hashmap.c